> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Ticket

Create a new ticket.

> [!NOTE]
>
> External Documentation
>
> To learn more, visit the [Zoho Desk documentation](https://desk.zoho.com/DeskAPIDocument#Tickets_CreateTicket).

## Basic Parameters

| Parameter | Description |
| - | - |
| Contact | The contact details to create when the contact does not already exist. Either `lastName` or `email` must be present in the JSON object. For more information, see [Zoho Contacts documentation](https://desk.zoho.com/DeskAPIDocument#Contacts). |
| Contact ID | The ID of the contact who raised the ticket. |
| Contact Type | Select how to specify the contact for the ticket. |
| Department ID | The ID of the department to associate with the ticket. Can be obtained from the `List Departments` action. |
| Description | The description of the ticket. |
| Email | The email address of the contact who raised the ticket. |
| Priority | The priority of the ticket. To use a custom priority value not listed below, provide the value via the `Additional Parameters` field. |
| Subject | The subject of the ticket. |

## Advanced Parameters

| Parameter | Description |
| - | - |
| Additional Parameters | A JSON object for additional body parameters. Values specified in this parameter will override equivalent parameters. For example: <pre>`{    "first_key": 12345,    "second_key": "some_value"}`</pre>The object must follow the vendor's structure as defined in the [API documentation](https://desk.zoho.com/DeskAPIDocument#Tickets_CreateTicket). |
| Assignee ID | The ID of the agent to assign the ticket to. |
| Classification | The classification of the ticket. System-defined values include `Problem`, `Request`, and `Question`. Custom values are also supported. |
| Due Date | The date and time by which the ticket is due to be resolved. |
| Product ID | The ID of the product associated with the ticket. |
| Status | The status of the ticket. System-defined values include `Open`, `On Hold`, and `Closed`. Custom values are also supported. |
| Uploads | A comma-separated list of upload IDs to attach to the ticket. For more information, see [Zoho Uploads documentation](https://desk.zoho.com/DeskAPIDocument#Uploads). |

## Example Output

```json theme={"dark"}
{
	"entitySkills": [
		"18921000000379001",
		"18921000000364001",
		"18921000000379055",
		"18921000000379031"
	],
	"modifiedTime": "2016-06-21T12:50:04.000Z",
	"ticketNumber": "773",
	"subCategory": "Sub General",
	"statusType": "Open",
	"subject": "Real Time analysis Requirement",
	"dueDate": "2016-06-21T18:50:04.573Z",
	"departmentId": "1892000000006907",
	"channel": "Email",
	"onholdTime": null,
	"description": "Hai This is description",
	"language": "English",
	"source": {
		"appName": null,
		"extId": null,
		"type": "SYSTEM",
		"permalink": null,
		"uuid": null,
		"appPhotoURL": null
	},
	"resolution": null,
	"sharedDepartments": [],
	"closedTime": null,
	"sharedCount": "0",
	"approvalCount": "0",
	"timeEntryCount": "0",
	"isOverDue": false,
	"channelRelatedInfo": null,
	"isDeleted": "false",
	"isTrashed": false,
	"createdTime": "2016-06-21T12:50:04.000Z",
	"id": "1892000001054003",
	"email": "carol@zylker.com",
	"layoutDetails": {
		"id": "5000000013466",
		"layoutName": "Default Ticket Layout"
	},
	"channelCode": null,
	"customerResponseTime": "2013-11-04T11:21:07.912Z",
	"cf": {
		"cf_permanentaddress": null,
		"cf_dateofpurchase": null,
		"cf_phone": null,
		"cf_numberofitems": null,
		"cf_url": null,
		"cf_secondaryemail": null,
		"cf_severitypercentage": "0.0",
		"cf_modelname": "F3 2017"
	},
	"productId": null,
	"contactId": "1892000000042032",
	"threadCount": "1",
	"priority": "High",
	"classification": null,
	"assigneeId": "1892000000056007",
	"commentCount": "0",
	"taskCount": "0",
	"phone": "1 888 900 9646",
	"webUrl": "https://desk.zoho.com/support/zylker/ShowHomePage.do#Cases/dv/d126330fb061247d9ebddaeb9d93ba74750b0284bc703b38",
	"attachmentCount": "0",
	"isEscalated": false,
	"isSpam": false,
	"category": "general",
	"status": "Open"
}
```
